FreeCAD CMD color lost after import











up vote
1
down vote

favorite












Whenenver I try to import a model via FreeCADCmd Script the objects loose all color information.



This can be checked within the GUI by running macros



import FreeCAD
import ImportGui

doc = FreeCAD.newDocument()
FreeCAD.setActiveDocument(doc.Name)
ImportGui.insert("file1.stp", doc.Name)


will preserve the colors -- but can not be run on commandline, because of ImportGui.



import FreeCAD
import Import

doc = FreeCAD.newDocument()
FreeCAD.setActiveDocument(doc.Name)
Import.insert("file1.stp", doc.Name)


will import the model without any color information.



Is there any way to import a step file into FreeCADCmd (commandline -- so no GUI) without the color information being dropped?



Or does anyone know a way to run FreeCAD (GUI Version) without running a xserver?










share|improve this question


























    up vote
    1
    down vote

    favorite












    Whenenver I try to import a model via FreeCADCmd Script the objects loose all color information.



    This can be checked within the GUI by running macros



    import FreeCAD
    import ImportGui

    doc = FreeCAD.newDocument()
    FreeCAD.setActiveDocument(doc.Name)
    ImportGui.insert("file1.stp", doc.Name)


    will preserve the colors -- but can not be run on commandline, because of ImportGui.



    import FreeCAD
    import Import

    doc = FreeCAD.newDocument()
    FreeCAD.setActiveDocument(doc.Name)
    Import.insert("file1.stp", doc.Name)


    will import the model without any color information.



    Is there any way to import a step file into FreeCADCmd (commandline -- so no GUI) without the color information being dropped?



    Or does anyone know a way to run FreeCAD (GUI Version) without running a xserver?










    share|improve this question
























      up vote
      1
      down vote

      favorite









      up vote
      1
      down vote

      favorite











      Whenenver I try to import a model via FreeCADCmd Script the objects loose all color information.



      This can be checked within the GUI by running macros



      import FreeCAD
      import ImportGui

      doc = FreeCAD.newDocument()
      FreeCAD.setActiveDocument(doc.Name)
      ImportGui.insert("file1.stp", doc.Name)


      will preserve the colors -- but can not be run on commandline, because of ImportGui.



      import FreeCAD
      import Import

      doc = FreeCAD.newDocument()
      FreeCAD.setActiveDocument(doc.Name)
      Import.insert("file1.stp", doc.Name)


      will import the model without any color information.



      Is there any way to import a step file into FreeCADCmd (commandline -- so no GUI) without the color information being dropped?



      Or does anyone know a way to run FreeCAD (GUI Version) without running a xserver?










      share|improve this question













      Whenenver I try to import a model via FreeCADCmd Script the objects loose all color information.



      This can be checked within the GUI by running macros



      import FreeCAD
      import ImportGui

      doc = FreeCAD.newDocument()
      FreeCAD.setActiveDocument(doc.Name)
      ImportGui.insert("file1.stp", doc.Name)


      will preserve the colors -- but can not be run on commandline, because of ImportGui.



      import FreeCAD
      import Import

      doc = FreeCAD.newDocument()
      FreeCAD.setActiveDocument(doc.Name)
      Import.insert("file1.stp", doc.Name)


      will import the model without any color information.



      Is there any way to import a step file into FreeCADCmd (commandline -- so no GUI) without the color information being dropped?



      Or does anyone know a way to run FreeCAD (GUI Version) without running a xserver?







      freecad






      share|improve this question













      share|improve this question











      share|improve this question




      share|improve this question










      asked Nov 22 at 15:28









      Alex

      61




      61





























          active

          oldest

          votes











          Your Answer






          StackExchange.ifUsing("editor", function () {
          StackExchange.using("externalEditor", function () {
          StackExchange.using("snippets", function () {
          StackExchange.snippets.init();
          });
          });
          }, "code-snippets");

          StackExchange.ready(function() {
          var channelOptions = {
          tags: "".split(" "),
          id: "1"
          };
          initTagRenderer("".split(" "), "".split(" "), channelOptions);

          StackExchange.using("externalEditor", function() {
          // Have to fire editor after snippets, if snippets enabled
          if (StackExchange.settings.snippets.snippetsEnabled) {
          StackExchange.using("snippets", function() {
          createEditor();
          });
          }
          else {
          createEditor();
          }
          });

          function createEditor() {
          StackExchange.prepareEditor({
          heartbeatType: 'answer',
          convertImagesToLinks: true,
          noModals: true,
          showLowRepImageUploadWarning: true,
          reputationToPostImages: 10,
          bindNavPrevention: true,
          postfix: "",
          imageUploader: {
          brandingHtml: "Powered by u003ca class="icon-imgur-white" href="https://imgur.com/"u003eu003c/au003e",
          contentPolicyHtml: "User contributions licensed under u003ca href="https://creativecommons.org/licenses/by-sa/3.0/"u003ecc by-sa 3.0 with attribution requiredu003c/au003e u003ca href="https://stackoverflow.com/legal/content-policy"u003e(content policy)u003c/au003e",
          allowUrls: true
          },
          onDemand: true,
          discardSelector: ".discard-answer"
          ,immediatelyShowMarkdownHelp:true
          });


          }
          });














          draft saved

          draft discarded


















          StackExchange.ready(
          function () {
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f53434132%2ffreecad-cmd-color-lost-after-import%23new-answer', 'question_page');
          }
          );

          Post as a guest















          Required, but never shown






























          active

          oldest

          votes













          active

          oldest

          votes









          active

          oldest

          votes






          active

          oldest

          votes
















          draft saved

          draft discarded




















































          Thanks for contributing an answer to Stack Overflow!


          • Please be sure to answer the question. Provide details and share your research!

          But avoid



          • Asking for help, clarification, or responding to other answers.

          • Making statements based on opinion; back them up with references or personal experience.


          To learn more, see our tips on writing great answers.





          Some of your past answers have not been well-received, and you're in danger of being blocked from answering.


          Please pay close attention to the following guidance:


          • Please be sure to answer the question. Provide details and share your research!

          But avoid



          • Asking for help, clarification, or responding to other answers.

          • Making statements based on opinion; back them up with references or personal experience.


          To learn more, see our tips on writing great answers.




          draft saved


          draft discarded














          StackExchange.ready(
          function () {
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f53434132%2ffreecad-cmd-color-lost-after-import%23new-answer', 'question_page');
          }
          );

          Post as a guest















          Required, but never shown





















































          Required, but never shown














          Required, but never shown












          Required, but never shown







          Required, but never shown

































          Required, but never shown














          Required, but never shown












          Required, but never shown







          Required, but never shown







          Popular posts from this blog

          What visual should I use to simply compare current year value vs last year in Power BI desktop

          Alexandru Averescu

          Trompette piccolo